# SPEC and source package imported from Fedora:
# http://mirror.kolabsys.com/pub/fedora/apt-utils/f16/SRPMS/
Name:           debhelper
Version:        9.20160403
Release:        %mkrel 2
Summary:        Helper programs for Debian rules

Group:          System/Packaging
License:        GPLv2+
URL:            https://packages.debian.org/sid/debhelper
Source0:        http://ftp.de.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz
Patch0:         debhelper-7.4.20-no-utf8-to-pod2man.patch
BuildArch:      noarch

BuildRequires:  po4a
# BuildRequires:  dpkg-devel
BuildRequires:  dpkg
BuildRequires:  perl-Dpkg

Requires:       binutils
Requires:       html2text
Requires:       perl
Requires:       po-debconf
Requires:       dpkg perl-Dpkg

%description
A collection of programs that can be used in a Debian rules file
to automate common tasks related to building Debian packages.
Programs are included to install various files into your package,
compress files, fix file permissions, integrate your package with
the Debian menu system, debconf, doc-base, etc. Most Debian
packages use debhelper as part of their build process.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
make build

%install
%make_install

mkdir -p \
            %{buildroot}/%{_mandir}/{,es,fr}/man{1,7}/

for lang in es fr; do
    for level in 1 7; do
        mv ./*.$lang.$level %{buildroot}/%{_mandir}/$lang/man$level/ || :
    done
done

install -m 644 ./*.1 %{buildroot}/%{_mandir}/man1
install -m 644 ./*.7 %{buildroot}/%{_mandir}/man7

%find_lang debhelper --with-man

# %%files -f debhelper.lang
%files
%doc examples/ doc/
%{_mandir}/es/man1/*
%{_mandir}/es/man7/*
%{_mandir}/fr/man1/*
%{_mandir}/fr/man7/*
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_bindir}/dh*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/autoscripts
%dir %{perl_vendorlib}/Debian
%{perl_vendorlib}/Debian/Debhelper



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 9.20160403-2.mga6
+ Revision: 1022112
- Rebuild for perl 5.22.2

* Mon Apr 25 2016 shlomif <shlomif> 9.20160403-1.mga6
+ Revision: 1006152
- New version - thanks to Gentoo

* Wed Feb 10 2016 shlomif <shlomif> 9.20160115-1.mga6
+ Revision: 953328
- New version

* Thu Sep 10 2015 shlomif <shlomif> 9.20150811-1.mga6
+ Revision: 875497
- New version 9.20150811

* Wed Oct 15 2014 umeabot <umeabot> 9.20140228-4.mga5
+ Revision: 738807
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 9.20140228-3.mga5
+ Revision: 725040
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 9.20140228-2.mga5
+ Revision: 678703
- Mageia 5 Mass Rebuild

* Wed May 21 2014 shlomif <shlomif> 9.20140228-1.mga5
+ Revision: 624644
- New version 9.20140228

* Tue Oct 22 2013 umeabot <umeabot> 9.20120909-5.mga4
+ Revision: 545839
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 9.20120909-4.mga4
+ Revision: 501909
- sync patches with fedora to fix build errors
- stop using deprecated find syntax

* Tue Jan 22 2013 fwang <fwang> 9.20120909-3.mga3
+ Revision: 390739
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 9.20120909-2.mga3
+ Revision: 348714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 shlomif <shlomif> 9.20120909-1.mga3
+ Revision: 300668
- New version 9.20120909

* Sat Aug 25 2012 shlomif <shlomif> 9.20120608-2.mga3
+ Revision: 283855
- Fix requires
- Fix requires

* Sat Aug 25 2012 shlomif <shlomif> 9.20120608-1.mga3
+ Revision: 283818
- Imported from Fedora with some downstream changes


* Mon Mar 26 2012 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 9.20120322
- New version

* Wed Sep 29 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.4.20-4
- Fix locale

* Fri Aug 13 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.4.20-3
- Fix description

* Thu May 13 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.4.20-2
- Include es/fr man pages
- Update to newer version from Debian Sid
- Fix package requirements

* Tue May 11 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.0.15-1
- First package
